/***************************************************************************
                          kflameconfig.h  -  description
                             -------------------
    begin                : Sat Dec 14 2002
    copyright            : (C) 2002 by Pedro J. Romero (Cronel)
    email                : pejro@millicom.com.ar
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KFLAMECONFIG_H
#define KFLAMECONFIG_H

#include <qwidget.h>
#include <kflameconfigui.h>

#include "kflamesaver.h"

/**
  *@author Pedro J. Romero (Cronel)
  */

class KFlameConfig : public KFlameConfigUI
{
    Q_OBJECT
    public: 
	KFlameConfig(QWidget *parent=0, const char *name=0);
	~KFlameConfig();
        void accept();
        void show();
    protected slots:
        void slotAbout();
        void slotSetupText();
        void slotDefaults();
    private:
        QList<KTextInfo> m_text;
        int m_frames;
        QFont m_font;
        void setTextLabel();
};

namespace defaults
{
        const QString defaultMode = "Flame";

        const bool defaultAutoCellSize = true;
        const int defaultCellWidth = 4;
        const int defaultCellHeight = 4;
        const int defaultHotSpots = 2;
        const int defaultFadeThreshold = 1;
        const int defaultFadeAmount = 1;
        const QColor defaultFlameColor = Qt::red;

        const int defaultTextFrames = 0;
        const QFont defaultTextFont( "Courier New", 20 );

        #define defaultPic (KGlobal::dirs()->findResource("data", "kflamesaver/laura_and_coop.png"))
}

#endif
